﻿using System;
using OpenBveApi.Runtime;

namespace OpenbveFcmbTrainPlugin
{
    /// <summary>A device cutting power if doors are open.</summary>
    internal class DoorTractionCut : Device
    {
        /// <summary>Is called when the device state should be updated.</summary>
        /// <param name="train">The current train.</param>
        /// <param name="route">The current route.</param>
        /// <param name="init">Whether the device should initialize.</param>
        /// <param name="elapsedTime">The time elapsed since the previous call.</param>
        internal override void Update(Train train, Route route, bool init, Time elapsedTime)
        {
            // Cut power when the doors are open
            RequestedPowerNotch = (train.DoorState != DoorStates.None) ? 0 : -1;
        }
    }
}

